# Method: projects.locations.vmwareAdminClusters.enroll

- [HTTP request](https://docs.cloud.google.com/kubernetes-engine/distributed-cloud/reference/on-prem-api/rest/v1/projects.locations.vmwareAdminClusters/enroll#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/kubernetes-engine/distributed-cloud/reference/on-prem-api/rest/v1/projects.locations.vmwareAdminClusters/enroll#body.PATH_PARAMETERS)
- [Request body](https://docs.cloud.google.com/kubernetes-engine/distributed-cloud/reference/on-prem-api/rest/v1/projects.locations.vmwareAdminClusters/enroll#body.request_body)
  - [JSON representation](https://docs.cloud.google.com/kubernetes-engine/distributed-cloud/reference/on-prem-api/rest/v1/projects.locations.vmwareAdminClusters/enroll#body.request_body.SCHEMA_REPRESENTATION)
- [Response body](https://docs.cloud.google.com/kubernetes-engine/distributed-cloud/reference/on-prem-api/rest/v1/projects.locations.vmwareAdminClusters/enroll#body.response_body)
- [Authorization scopes](https://docs.cloud.google.com/kubernetes-engine/distributed-cloud/reference/on-prem-api/rest/v1/projects.locations.vmwareAdminClusters/enroll#body.aspect)

Enrolls an existing VMware admin cluster to the Anthos On-Prem API within a given project and location. Through enrollment, an existing admin cluster will become Anthos On-Prem API managed. The corresponding GCP resources will be created and all future modifications to the cluster will be expected to be performed through the API.

### HTTP request

`POST https://gkeonprem.googleapis.com/v1/{parent=projects/*/locations/*}/vmwareAdminClusters:enroll`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. The parent of the project and location where the cluster is enrolled in. Format: "projects/{project}/locations/{location}" |

### Request body

The request body contains data with the following structure:

| JSON representation |
|---|
| ``` { "vmwareAdminClusterId": string, "membership": string } ``` |

| Fields ||
|---|---|
| `vmwareAdminClusterId` | `string` User provided OnePlatform identifier that is used as part of the resource name. This must be unique among all GKE on-prem clusters within a project and location and will return a 409 if the cluster already exists. (<https://tools.ietf.org/html/rfc1123>) format. |
| `membership` | `string` Required. This is the full resource name of this admin cluster's fleet membership. |

### Response body

If successful, the response body contains an instance of `https://docs.cloud.google.com/kubernetes-engine/distributed-cloud/reference/on-prem-api/rest/v1/projects.locations.operations#Operation`.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).